This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | IntDict
Name | ### valueArray()
Examples |
    IntDict inventory;

    void setup() {
      size(200, 200);
      inventory = new IntDict();
      inventory.set("cd",84);
      inventory.set("tapes",15);
      inventory.set("records",102);
      println(inventory);
      int[] amounts = inventory.valueArray();
      println(amounts);
    }
Description | The version of this method without a parameter creates a new array and copies each of the values into it. The version with the int[] parameters fills an already-allocated array with the values (more efficient than creating a new array each time). If 'array' is null, or not the same size as the number of values, a new array will be allocated and returned.
Syntax |
    .valueArray()
    .valueArray(array)
Parameters |
array | int[]: values to copy into the array
Returns | int[]

Updated on October 26, 2013 08:58:33pm PDT